# Interface AbstractTable

interface AbstractTable {
fields: AbstractField[];
id?: number;
min_role_read: number;
min_role_write: number;
name: string;
ownership_field_id?: number | null;
ownership_formula?: string;
sql_name: string;
getForeignTables(): Promise<AbstractTable[]>;
getTags(): Promise<AbstractTag[]>;
}

#### Implemented by

- Table

- Defined in model-abstracts/abstract_table.ts:5

##### Index

### Properties

fields
id?
min_role_read
min_role_write
name
ownership_field_id?
ownership_formula?
sql_name

### Methods

getForeignTables
getTags

## Properties

### fields

fields: AbstractField[]

- Defined in model-abstracts/abstract_table.ts:12

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_table.ts:7

### min_role_read

min_role_read: number

- Defined in model-abstracts/abstract_table.ts:15

### min_role_write

min_role_write: number

- Defined in model-abstracts/abstract_table.ts:16

### name

name: string

- Defined in model-abstracts/abstract_table.ts:6

### `Optional` ownership_field_id

ownership_field_id?: number | null

- Defined in model-abstracts/abstract_table.ts:8

### `Optional` ownership_formula

ownership_formula?: string

- Defined in model-abstracts/abstract_table.ts:9

### sql_name

sql_name: string

- Defined in model-abstracts/abstract_table.ts:11

## Methods

### getForeignTables

- getForeignTables(): Promise<AbstractTable[]>

  #### Returns Promise<AbstractTable[]>

  - Defined in model-abstracts/abstract_table.ts:14

### getTags

- getTags(): Promise<AbstractTag[]>

  #### Returns Promise<AbstractTag[]>

  - Defined in model-abstracts/abstract_table.ts:13